import React from 'react';
import { Octokit } from '@octokit/rest';

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}

var styles = {"contributors":"styles-module_contributors__1xF5k","profile":"styles-module_profile__2FLLu","photo":"styles-module_photo__RLXPX","photo-lg":"styles-module_photo-lg__3WNNQ","intro":"styles-module_intro__1iC6i","name":"styles-module_name__2EVu_","subtitle":"styles-module_subtitle__2SMiA"};

var octokit = new Octokit();

var Profile = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(Profile, _React$Component);

  function Profile() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Profile.prototype;

  _proto.render = function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: styles.profile
    }, /*#__PURE__*/React.createElement("img", {
      className: styles.photo + " " + styles["photo-lg"],
      src: this.props.avatar_url
    }), /*#__PURE__*/React.createElement("div", {
      className: styles.intro
    }, /*#__PURE__*/React.createElement("h4", {
      className: styles.name
    }, this.props.name), /*#__PURE__*/React.createElement("small", {
      className: styles.subtitle
    }, /*#__PURE__*/React.createElement("a", {
      href: this.props.url
    }, this.props.url))));
  };

  return Profile;
}(React.Component);

var Contributors = /*#__PURE__*/function (_React$Component2) {
  _inheritsLoose(Contributors, _React$Component2);

  function Contributors(props) {
    var _this;

    _this = _React$Component2.call(this, props) || this;
    _this.state = {
      contributors: []
    };
    return _this;
  }

  var _proto2 = Contributors.prototype;

  _proto2.componentDidMount = function componentDidMount() {
    var _this2 = this;

    octokit.repos.listContributors({
      owner: this.props.owner,
      repo: this.props.repo
    }).then(function (result) {
      _this2.setState({
        contributors: [].concat(result.data)
      });
    }, function () {
      _this2.setState({
        contributors: []
      });
    });
  };

  _proto2.render = function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: styles.contributors
    }, this.state.contributors && this.state.contributors.length ? this.state.contributors.map(function (contributor, key) {
      return /*#__PURE__*/React.createElement(Profile, {
        key: key,
        avatar_url: contributor.avatar_url,
        name: contributor.login,
        url: contributor.html_url
      });
    }) : undefined);
  };

  return Contributors;
}(React.Component);

export default Contributors;
//# sourceMappingURL=index.modern.js.map
